Tomboy sync fails on Oneiric, New Note Template already exists

Bug #848250 reported by Colin Law on 2011-09-12
204
This bug affects 39 people
Affects Status Importance Assigned to Milestone
tomboy
Unknown
Medium
tomboy (Ubuntu)
Undecided
Ubuntu One Client Engineering team

Bug Description

Trying to sync with a local folder which is synced by Dropbox to tomboy on ubuntu Natty, the sync fails with errors:
[DEBUG 21:19:40.476] SyncThread using SyncServiceAddin: Local Folder
[DEBUG 21:19:40.578] 8
[DEBUG 21:19:40.661] Sync: GetNoteUpdatesSince rev -1
[DEBUG 21:19:40.787] GetNoteUpdatesSince xpath returned 198 nodes
[DEBUG 21:19:41.071] GetNoteUpdatesSince (-1) returning: 198
[DEBUG 21:19:41.071] Sync: 198 updates since rev -1
[DEBUG 21:19:41.502] Loading notebooks
[DEBUG 21:19:42.274] SyncManager: Deleting auto-generated note: New Note Template
[DEBUG 21:19:42.277] Removing tag from New Note Template: system:template
[DEBUG 21:19:42.279] Watchers.OnTagRemoved popularity count: 23
[DEBUG 21:19:42.281] Deleting note 'New Note Template'.

(Tomboy:3735): Gtk-CRITICAL **: IA__gtk_text_tag_table_remove: assertion `tag->table == table' failed
[DEBUG 21:19:42.380] Creating Buffer for 'New Note Template'...
[DEBUG 21:19:42.435] Tag added to New Note Template: system:template
[ERROR 21:19:42.464] Synchronization failed with the following exception: A note with this title already exists: New Note Template
  at Tomboy.NoteManager.CreateNewNote (System.String title, System.String xml_content, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.NoteManager.CreateNoteFromTemplate (System.String title, Tomboy.Note template_note, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.NoteManager.CreateNewNote (System.String title, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.NoteManager.CreateWithGuid (System.String title, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.Sync.SyncManager+<CreateNoteInMainThread>c__AnonStorey11.<>m__3F () [0x00000] in <filename unknown>:0
  at Tomboy.GuiUtils+<GtkInvokeAndWait>c__AnonStoreyC.<>m__2F (System.Object , System.EventArgs ) [0x00000] in <filename unknown>:0

(Tomboy:3735): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
[DEBUG 21:19:45.176] Saving 'TomboyDropBox'...
[DEBUG 21:19:45.200] Saving 'DropBox'...
etc.

A similar symptom is reported in post #4 of bug #534488, though I think the original bug there is different.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: tomboy 1.7.6-1ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-11.17-generic 3.0.4
Uname: Linux 3.0.0-11-generic i686
ApportVersion: 1.22.1-0ubuntu2
Architecture: i386
Date: Mon Sep 12 21:15:53 2011
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta i386 (20110901)
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: tomboy
UpgradeStatus: No upgrade log present (probably fresh install)

Colin Law (colin-law) wrote :
Changed in tomboy (Ubuntu):
status: New → Confirmed
Matt Deaton (matt-d10online) wrote :

I am having the same issue when trying to sync with U1.

9/8/2011 8:01:42 AM [DEBUG]: Sync: 29 updates since rev -1
9/8/2011 8:01:42 AM [DEBUG]: SyncManager: Deleting auto-generated note: New Note Template
9/8/2011 8:01:42 AM [DEBUG]: Removing tag from New Note Template: system:template
9/8/2011 8:01:42 AM [DEBUG]: Watchers.OnTagRemoved popularity count: 0
9/8/2011 8:01:42 AM [DEBUG]: Deleting note 'New Note Template'.
9/8/2011 8:01:42 AM [DEBUG]: Creating Buffer for 'New Note Template'...
9/8/2011 8:01:42 AM [DEBUG]: Tag added to New Note Template: system:template
9/8/2011 8:01:42 AM [DEBUG]: Loading notebooks
9/8/2011 8:01:42 AM [ERROR]: Synchronization failed with the following exception: A note with this title already exists: New Note Template
  at Tomboy.NoteManager.CreateNewNote (System.String title, System.String xml_content, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.NoteManager.CreateNoteFromTemplate (System.String title, Tomboy.Note template_note, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.NoteManager.CreateNewNote (System.String title, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.NoteManager.CreateWithGuid (System.String title, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.Sync.SyncManager+<CreateNoteInMainThread>c__AnonStorey11.<>m__3F () [0x00000] in <filename unknown>:0
  at Tomboy.GuiUtils+<GtkInvokeAndWait>c__AnonStoreyC.<>m__2F (System.Object , System.EventArgs ) [0x00000] in <filename unknown>:0
9/8/2011 8:01:46 AM [DEBUG]: Saving 'New Note Template'...

Matt Deaton (matt-d10online) wrote :

For what it is worth I was able to get my notes to sync by copying the contents of ~/.local/tomboy from my 10.04 machine to the 11.10 beta and then syncing. It complained about a few notes needed to be renamed, but it does sync now.

João Miranda (joao-lm) wrote :

i don't known if this the right thing to do (post a 'me too') but i have the same problem here.

11.10 fresh install and Dropbox.
This is really annoying...

11.10 fresh install -> me too, there seem to be mixed-up template notes which causes the sync to brake and which were not downloaded so i can't delete them - that files aren't to find on the server(website) and not on my other pc.
my other pc syncs fine after fresh install of Oneiric.

Johan Zaxmy (johan-zaxmy) wrote :

Same problem, two 11.10 machines syncing with SSH

[DEBUG 22:17:19.540] SyncThread using SyncServiceAddin: SSH
[DEBUG 22:17:19.623] Mounting sync path with this command: /usr/bin/sshfs <email address hidden>:/home/johan/tomboy-sync /home/johan/.cache/tomboy/sync-sshfs
[DEBUG 22:17:20.395] 8
[DEBUG 22:17:20.412] Sync: GetNoteUpdatesSince rev -1
[DEBUG 22:17:20.460] GetNoteUpdatesSince xpath returned 23 nodes
[DEBUG 22:17:20.620] GetNoteUpdatesSince (-1) returning: 23
[DEBUG 22:17:20.621] Sync: 23 updates since rev -1
[DEBUG 22:17:20.638] SyncManager: Deleting auto-generated note: New Note Template
[DEBUG 22:17:20.650] Removing tag from New Note Template: system:template
[DEBUG 22:17:20.654] Watchers.OnTagRemoved popularity count: 0
[DEBUG 22:17:20.659] Deleting note 'New Note Template'.

(Tomboy:2191): Gtk-CRITICAL **: IA__gtk_text_tag_table_remove: assertion `tag->table == table' failed
[DEBUG 22:17:20.695] Creating Buffer for 'New Note Template'...
[DEBUG 22:17:20.747] Tag added to New Note Template: system:template
[DEBUG 22:17:20.766] Loading notebooks
[ERROR 22:17:20.796] Synchronization failed with the following exception: A note with this title already exists: New Note Template
  at Tomboy.NoteManager.CreateNewNote (System.String title, System.String xml_content, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.NoteManager.CreateNoteFromTemplate (System.String title, Tomboy.Note template_note, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.NoteManager.CreateNewNote (System.String title, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.NoteManager.CreateWithGuid (System.String title, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.Sync.SyncManager+<CreateNoteInMainThread>c__AnonStorey11.<>m__3F () [0x00000] in <filename unknown>:0
  at Tomboy.GuiUtils+<GtkInvokeAndWait>c__AnonStoreyC.<>m__2F (System.Object , System.EventArgs ) [0x00000] in <filename unknown>:0

(Tomboy:2191): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
[DEBUG 22:17:24.775] Saving 'New Note Template'...

Harry Hon (hanlei1985) wrote :

met the same problem,
the DEBUG print the same 'New Note Template' things.

Juan Pablo Caballero (cjpablo) wrote :

11.10 fresh install and U1, me too.
A workaround is create in the u1 website a note named "New Note Template" and then sync. And then choose the option "rename my local note".

for me the solution was to overwrite the files in the tomboy folders /.config and /.local/share with contents from my backup. now it works - that wasn't a fix but for me it worked, perhaps for some others too?

Steve Jackson (aearenda) wrote :

Another workaround is to create a new note template locally using the preferences, rather than logging in to the U1 website as in #8 above, then sync and rename the local note. All subsequent sync have worked ok for me since doing this.

Harry Hon (hanlei1985) wrote :

Another solution: you can just change the default title of the note template as any strings except "New Note Template"

Ingo Gerth (igerth) wrote :

That does not work for me. When the dialogue asking me to either rename or overwrite the local not pops up, nothing happens when clicking on "Forward'.

Diego (covoland) wrote :

I had the same problem and I confirm that #10 worked for me

Jiri Vaclavovic (jvaclavovic) wrote :

#10 solve this problem for me, thanks

Aldo Nogueira (aldo-nogueira) wrote :

The workaround on #10 works in Brazillian Portuguese.
The template note must named to something different from "Modelo de nova nota"

I had the same issue and the suggested workaround in comment #10 worked for me. I can now sync okay. Thanks Steve Jackson!

Luciano Panepucci (lpanebr) wrote :

I think this is the same bug that affected me and for witch I have found a workaround/solution and posted it on askubuntu.com at http://askubuntu.com/questions/71733/tomboy-notes-failed-to-synchronize/71882

I have beem suggested by a comment to post it here so here it goes:

In my new ubuntu 11.10 install the Tomboy notes synchronizes just some of my notes notes and then fails. The details only shows the updated notes. When I look at the .config/tomboy/tomboy.log I see the error:

10/24/2011 11:12:29 PM [ERROR]: Synchronization failed with the following exception: A note with this title already exists: New Note Template
  at Tomboy.NoteManager.CreateNewNote (System.String title, System.String xml_content, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.NoteManager.CreateNoteFromTemplate (System.String title, Tomboy.Note template_note, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.NoteManager.CreateNewNote (System.String title, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.NoteManager.CreateWithGuid (System.String title, System.String guid) [0x00000] in <filename unknown>:0
  at Tomboy.Sync.SyncManager+<CreateNoteInMainThread>c__AnonStorey11.<>m__3F () [0x00000] in <filename unknown>:0
  at Tomboy.GuiUtils+<GtkInvokeAndWait>c__AnonStoreyC.<>m__2F (System.Object , System.EventArgs ) [0x00000] in <filename unknown>:0

I have tryed changing the URL on the sync preferences to https://edge.one.ubuntu.com/notes/ as sugested in question 66753 but it did not work.

Then the solution I came with:

Since the error on the log mentioned a note named "New Note Template" I created a note with that name through the ubuntu one web site and then tried to sync again. This time tomboy detected the conflict and offered some options to solve it. I chose to rename the local note and then it synced all my notes correctly!

It sure is not perfect... I noticed that when I create a new note now it comes up with the renamed name "New Note Template (old)"

Graham Poulter (grahampo) wrote :

#8 worked for me - create "New Note Template" on one.ubuntu.com, sync and allow it to rename local note then choose overwrite for remainder of sync.

#10 did not work for me, possibly due to having "overwrite local note" set as the default at that time.

Colin Law (colin-law) wrote :

It is nice to have all these workarounds but it would be better to have a fix. Have any developers taken note of this bug I wonder.

Changed in tomboy (Ubuntu):
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
flowdawg (florian-widmer-i) wrote :

For me it was necessary to do several things:
- #10: create a note named New Note Template on u1
- #17 set https://edge.one.ubuntu.com/notes/ as url
- and also: delete the local instance of this template note manually in .local/share/tomboy

Mario Manno (manno) wrote :

Got the same error without dropboux, but with the "Local Folder"- and "SSH"-methods. However the "New Note Template" note gets' uploaded every time.

I can delete the template note using preferences/open note template/convert to regular/delete. After deleting the note on both sides, one sync works fine. Next time it is re-created automatically and the sync fails again.

Changed in tomboy:
importance: Unknown → Medium
status: Unknown → In Progress
Michael Markstaller (makki) wrote :

Same issue here after setting up a new laptop with 11.10:
Opening the Template via setting on the new PC and simply renaming the title from Neue Notizbuchvorlage to "Neue Notizbuchvorlage2" resolved it.

Changed in tomboy:
status: In Progress → Unknown
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.